Subject: Re: Documentation error for checksum offload check ?

From: Davide Caratti <[email-masked]>
Date: Fri, 07 Apr 2017 09:35:57 +0200

On Fri, 2017-04-07 at 10:23 +1000, Benjamin Herrenschmidt wrote:
> I noticed in both Documentation/networking/checksum-offload.txt
> and include/linux/skbuff.h reference to helpers
> 
> skb_csum_off_chk*
> c
> Now, I can't find anything like that with grep ... :-)
> 
> Am I missing something ?
> 
> Cheers,
> Ben.
> 

hello Benjamin,

these functions are not present anymore in the kernel since commit
cf53b1da73bd ('Revert "net: Add driver helper functions to determine
checksum"'). You might find some additional information on this thread
in linux-sctp (https://www.spinics.net/lists/linux-sctp/msg05606.html),
there is an ongoing proposal for fixing Documentation/networking/checksum-offload.txt,
improve referenced paragraphs in include/linux/sk_buff.h, and maybe
extend the current API.

regards,